Redmine - Defect #7984

Confusing revisions links on repository root
2011-03-24 16:12 - Etienne Massip

Status: New Start date: 2011-03-24
Priority: Normal Due date:

Assignee: Toshi MARUYAMA % Done: 0%
Category: SCM Estimated time: 0.00 hour
Target version:

Resolution: Affected version:

Description

Actually, there's something weird on devel since of r5145 :

there is now 2 links displayed side by side on the root page of a repository ; the first one to list all repository revisions and the second
one to display directory revisions, which seems to be redundant since, err...this is the root, and is very confusing .

| think that the previous check @path.blank? in source:trunk/app/views/repositories/show.rhtml#L23 should have been kept :

<% if Qrepository.supports_all revisions? %>
should be
<% if @path.blank? && @repository.supports_all_revisions? %>

Related issues:

Related to Redmine - Feature #7246: Handle "named branch" for mercurial Closed 2011-01-07
Related to Redmine - Feature #5083: Add the ability to view a range of revisions New 2010-03-15
Related to Redmine - Feature #5386: Branch/Tags in Changeset Description New 2010-04-27
Related to Redmine - Feature #2120: Different views between develop and funci... Closed 2008-10-31
Related to Redmine - Feature #3909: Mercurial: show repository graphic history Closed 2009-09-23
Related to Redmine - Feature #5501: Git: Mercurial: Adding visual merge/branc... Closed 2010-05-11
Related to Redmine - Feature #539: Repository browser per Project Version. New

Related to Redmine - Patch #6159: Subversion: latest changesets performance ... New 2010-08-17
Related to Redmine - Feature #5279: Branch level associations between project... New 2010-04-09
Related to Redmine - Feature #1311: Subversion: Show revision histories for b... New 2008-05-27
Related to Redmine - Patch #3357: Revision log relative to current location i... New 2009-05-13
Related to Redmine - Defect #3943: Subversion: Directory revision list contai... New 2009-09-29
Related to Redmine - Feature #6982: Change in behavior of Repository auto-fet... New 2010-11-25
Related to Redmine - Feature #1406: Browse through Git branches Closed 2008-06-09
Related to Redmine - Feature #2799: Support for Bazaar's shared reposetories ... New 2009-02-21
Related to Redmine - Feature #4741: Improve Bazaar repositories error message... New 2009-02-21
Related to Redmine - Defect #8030: Bazaar integration doesn't notice new comm... New 2011-03-31

Associated revisions

Revision 5213 - 2011-03-24 18:58 - Jean-Philippe Lang

Do not display both 'View all revisions' and 'View revision' links (#7984).

Revision 5218 - 2011-03-25 00:42 - Toshi MARUYAMA

scm: backout r5213. do not display both 'View all revisions' and 'View revision' links (#7984, #7246).
Git and Mercurial support branch.

Git in repository root shows master branch.
Git master branch does not have all revisions.

Mercurial default branch is default branch.
https://www.redmine.org/projects/redmine/repository/svn/revisions/5145
https://www.redmine.org/projects/redmine/repository/svn/entry/trunk/app/views/repositories/show.rhtml#L23

Mercurial shows tip in repository root.

Mercurial does not treat directory. "hg log DIR" costs high.

Getting correct limited changesets in sub directory and branch is very heavy.
So, if there is no recent revision in sub directory and branch,

no changeset shows.

Revision 5219 - 2011-03-25 00:43 - Toshi MARUYAMA

scm: do not display 'View revision' links in subversion if path or revision are nil (#7984).
Revision 5222 - 2011-03-26 03:39 - Toshi MARUYAMA

scm: add rev param to "View revisions" (#7984).

There are two paths to show specific revision.

e http://www.redmine.org/projects/redmine/repository/revisions/5219/show
e http://www.redmine.org/projects/redmine/repository/show?rev=5219

First link is http://www.redmine.org/projects/redmine/repository/revisions/5219/changes .

But, Second link is http://www.redmine.org/projects/redmine/repository/changes .

Revision 5223 - 2011-03-26 03:40 - Toshi MARUYAMA

scm: remove "View all revisions" in sub directory (#7984).

Revision 5478 - 2011-04-17 08:28 - Toshi MARUYAMA

scm: darcs: set supports_directory_revisions true at model (#7984).

Darcs adapter saves directory changes in database.
So, Redmine 1.1 shows latest changesets in sub directory.

History

#1 - 2011-03-24 18:32 - Jean-Philippe Lang
- Priority changed from Normal to High

Very confusing indeed.
#2 - 2011-03-24 18:59 - Jean-Philippe Lang

I've changed the behaviour in 15213 to display one link only.
Toshi, is there any wrong with it?

#3 - 2011-03-25 08:53 - Toshi MARUYAMA
- File svn-root.png added

- File svn-trunk.png added

- File svn-root-r5218.png added

Subversion
http://www.redmine.org/projects/redmine/repository/revisions/5219/show
http://www.redmine.org/projects/redmine/repository/show?rev=5219
http://www.redmine.org/projects/redmine/repository/revisions/5219/changes
http://www.redmine.org/projects/redmine/repository/changes
https://www.redmine.org/projects/redmine/repository/svn/revisions/5213
redmine svn search: |

Overview Activity s issue Gantt Calendar MNews Documents Wiki Files QESSIGTe"E Settings

root il Statistics | Revision: |—
MNanve Size  Revision Age Author Comment

@ Jbranches 5184 4 days tmaruyama Merged r5183 from trunk. Fix an internal serve...

2 Jplugins 27N almast 2 vears Jplang Fixes menu tab and settings partial name of sim..

8 gsandbox 4591 % months Jplang Deleting unused branches

o Jtags 5032 17 days jplang tagged version 1.1.2

@ Jtrunk 52119 about B hours tmaruyama scm: do not display View revision' links in su...

Latest revisions

# Date Author Comment
5219 @) 03/25/2011 OB:43% am tmaruyama sem: do not display "View revision' links in subversion if path or revision are nil (£7984).
SME O @ 053/25/2011 0B:42 am tmaruyama sem: backout r5213, do not display both "Wiew all revisions' and View revision' links (#7984, #7246).

Git and Mercurial suppart branch.

Git in repasitory root shows master branch.
Git master branch does not have all revisions.
Mercurial default branch is default branch....

8217 O O 057252011 04:21 am Jplang Adds support for Mac metakey in issues selection (#5148).
Cantributed by Simon Courtaois,
5116 O O 05/25/2011 03:46 am Jplang Maved plugin tasks directories to lib/tasks (Rails deprecation).
521% O O 057252011 03:43 am Jplang Fixes sort parameter in reminder email links {#7963).
Cantributed by Beat Mrg.
5314 O O 05/25/2011 03:24 am Jplang Fixed: unknown custom fleld format causes error when editing/bulk editing (#7985),
5213 O O 05/25/2011 02:58 am Jplang Do not display both View all revisions' and "Wiew revision' links (#7984),
512 O O 052472011 05:11 am jplang Better cross-browser checkbax pasitioning.
5211 O O 05/23/2011 OB:49 am tmaruyama sem: filesystem: increase non ascii contents ratio of test repository (#6256).
5210 O D5/23/2011 01:56 am tmaruyama sem: set mime type in downloading file

View all revisions

Alsa available in: BAtom

by Redmine

o
™ redmine svn - ftrunk - ®

= "~
-

o~ & [O 192.168.11.90:5000/projects/aaaa/repository/show/trunk

Home My page Pr tration Help

redmine svn

Overview Activity

Gantt

Calendar

News

Documents

Wikl

Files

Repository

Logged in as admin My

Settings

root ‘ irunk il Statistics | Revision: I—
Nama Size Revision Age Author Comment

8 Japp 5219 about B hours tmaruyama scm: do not display View revision’ links in su...

@ Jeanfig 5181 4 days  Jplang Changes polish csv separator ta ; and decimal t...

8 Jdb 4481 24 days tmaruyama scm: copy glabal log encading setting to repasi...

9 gdoe 5030 18 days  jplang CHANGELOG updated,

8 Jextra 4536 30 days  jplang Adds random salt to user passwords (£7410).

8 gfiles &7 aver 4 years  Jplang trunk mowed from /trunk/redmine to /trunk

a Jlib 5190 3 days tmaruyama add GHU gettext po to Redmine::MimeType.

8 glag 1283 about 3 years  jplang Add unloadable to the sample plugin cantraller ..

@ Jpublic 5317 about 12 hours  jplang Adds support for Mac metakey in issues selectio...

8 gecript 4359 5 manths  jbbarth  Use Filefexpand_path far require's in script/™* ..

g Jtest 5214 about 13 hours  jplang Fixed: unknown custom field format causes errar...

a8 gtmp 27B8 almost 2 years  jplang lgnores test repasitaries.

@ Jvendor 5216 about 13 hours  jplang Moved plugin tasks directories to lib/tasks (Ra...
Jgitignare 477 Bytes  4H34 about 1 manth tmaruyama scm: mercurial: ignare redminehelper.pyc and re...
Shgignare 467 Bytes 4834 about 1 month tmaruyama scm: mercurial: ignore redminehelper.pyc and re...
README.rdac M8 Bytes 3840 Emanths  edavis10  Readme update.

Raketile 207 Bytes E7 aver 4 years  Jplang trunk moved from /trunk/redmine to /trunk

svi:merge: ed3fEb4s-1217-0410-a6F0-8Ff08a7374b81:/trunk: 1757

swn:ignore: coverage .project Joadpath

Latest revisions

# Date Author Comment
5219 @ 03/25/2011 08:43 am tmaruyama scm: da not display Wiew revision' links in subversion if path or revision are nil (#7984).
5218 O @ 03/25/2011 08:42 am tmaruyama sem: backout r5213, do not display both Wiew all revisions' and View revision' links (#7384, #7246).
Git and Mercurial support branch.
Git in repasitory root shows master branch.
Git master branch does not have all revisions.
Mercurial default branch is default branch....
SM7 (O O 03/25/2011 04: 211 am jplang Adds support for Mac metakey in issues selaction (£514E8),
Contributed by Siman Courtais.
5216 (3 & 03/25/2011 03:46 am jplang Moved plugin tasks directaries to lib/tasks (Rails deprecation).
5215 (O O 03/25/2011 03:43 am jplang Fixes sart parameter in reminder email links (#7963).
Contributed by Beat lirg.
5114 (O O 03/25/2011 03:24 am jplang Fixed: unknown custom field format causes errar when editing/bulk editing (#7G9E5).
5213 O O 03/25/2011 02:58 am Jplang Da not display bath Wiew all revisions' and View revision' links (#7984),
512 5 O 03/24/2011 06:11 am jplang Better cross-browser checkbox positioning.
8211 O O 03/23/2011 08:49 am tmaruyama scm: filesystem: increase non ascii contents ratio of test repository (#6256).
5210 O 03/23/2011 01:56 am tmaruyama scm: set mime type in downloading file.

View differences
View all revisions | View revisions

Alsa available in: BAtom

| by Redmine © 2006-2011 n-Fhilipg
&™ redmine svn - / - Repe-r x

*«

Home My pa Logged in as admin My account Sign out |EY
redmine svn S lumptoapuject. ¥
Overview Activity 5 Gantt Calendar News Documents Wiki Files QEOSVSIGTSO Settings
root @ 5218 il Statistics | Revision: 5218
Name Size  Rewision Age Author Comment: -
o Jbranches 5184 4 days tmaruyama Merged r5183 from trunk. Fix an internal serve..,
2 Jplugins 271 almast 2 years Jplang Fixes menu tab and settings partial name of sim...
8 gsandbax 4591 3 manths Jplang Deleting unused branches
5 Jtags 5032 17 days Jplang tagged wersion 1.1.2
8 gtrunk 5218 about B hours tmaruyama scm: backout r5213, do not display both "View a...

Latest revisions

# Date Author Comment
S5ME @ 0%/25/2011 0B:42 am tmaruyama sem: backout r5213. do not display both View all revisions' and "View revision' links (#7984, #7248).
Git and Mercurial support branch.
Git in repasitory root shows master branch.
Git master branch does not have all revisions.
Mercurial default branch is default branch....

MY O @ 03/25/2011 04: 11 am jplang Adds suppart for Mac metaKey in issues selection (#514E).

Contributed by Simon Courtais,
5216 @ @ 03/25/2011 03:46 am Jplang Moved plugin tasks directories to lib/tasks (Rails deprecation).
515 O @ 03/25/2011 03:43 am Jplang Fixes sort parameter in reminder email links (#7963).

Cantributed by Beat larg.
M4 O O 03/25/2011 03:24 am jplang Fixed: unknown custom field farmat causes error when editing/bulk editing (#7385).
M3 O O 03/25/2011 02:58 am Jplang Do not display bath "View all revisions' and "Wiew revision® links {#f 79E4).
M2 O O 032472011 05:11 am Jplang Better cross-browser checkbox positioning.
511 O O 03/23/2011 0B:49 am tmaruyama scm: filesystem: increase non ascii cantents ratio of test repositary (#6256).
5210 @ @ 03/23/2011 01:56 am tmaruyama sem: set mime type in downloading file
5209 O 03/23/2011 01:56 am tmaruyama scm: filesystem: add test for no extension file mime type in functional test.

View all revisions | View revisions

w‘ Alsa available in: B Atom

v Redmine

a

#4 - 2011-03-25 08:59 - Etienne Massip

Having both links side by side is confusing because they're semantically very close.

Dumb question : what's the distinction between "all revisions" and "revisions" ?

#5 - 2011-03-25 09:06 - Toshi MARUYAMA
Mercurial
hg-root-tip.png
hg-root-default.png
hg-revisions-root-default.png

#6 - 2011-03-25 09:07 - Toshi MARUYAMA
- File hg-revisions-root-default.png added

- File hg-root-default.png added

- File hg-root-tip.png added

#7 - 2011-03-25 09:14 - Toshi MARUYAMA

Git
&™ redmine-git - / - Rep-

« 2 ) lO 192.168.11.90:5000/projects/redmine-git/repositor
Home My page Projects Admi ation Help 1 account Sign out n
redmine-git S as  [umpioaproject. ¥
Overview Activity 3 @ Gantt Calendar MNews Documents Wiki Files ERIESGIGISNE Settings
root @ master iy Statistics | Branch: [master ¥ || Tag: | ¥ | | Revision: I
MName Size Revision Age Author Comment
8 Jimages deff 124 aver 1 year Adam Saltys Exercising all the file actions
g gJsources deft 1M aver 1 year Adam Saltys Exercising all the file actions
8 Jthis_is_a_really_long_and_werbase_directary_name At 266643 4 months Halger Just Added a file with a really lang path.
filename with a leading space. txt 56 Bytes B3cabfds B manths Feliz Schafer Add a filename with a leading and trailing whit...
README 198 Bytes dalifed almost 2 years Adam Soltys Making progress in the master branch
copied_README 168 Bytes deff712f aver 1 year Adam Saltys Exercising all the file actions
filemane with spaces.txt 44 Bytes edSbh7EE & manths Felix Schafer Add a filename with spaces in its name
new _file txt 25 Bytes deff712¢ aver 1 year Adam Saltys Exercising all the file actions
renamed_test txt 55 Bytes deffT124 aver 1 year Adam Saltys Exercising all the file actions
Latest revisions
# Date Author Comment
B3caSfdS @) 09/ 272010 04:14 am Felix Sehiifer Add a filename with a leading and trailing whitespace
edSbb786 O @ 091972010 04:50 am Felix Schafer Add a filename with spaces in its name
4f266643 O O 070672010 05:34 am Halger Just Added a file with a really lang path.
deff712t O O 06/27/2009 05:00 pm Adam Saltys Exercising all the file actions
32acBSBb (O (O 006/24/2009 02:29 pm Adam Saltys Resalved conflicts from feature merge
da07tedl O O 0672472000 02:27 pm Adam Saltys Making progress in the master branch
Teblac¥0 O O 06/24/2000 02:26 pm Adam Saltys Added a great new feature to this feature branch
fha3S7hE O O 06/19/2009 01:38 pm Adam Saltys Added a new file that will only appear in test_branch
T13f4044 (O (O 06/19/2009 01:37 pm Adam Saltys Updated README to reflect that this is a git repasitory, not mercurial
61bBESTh O 12M15/2007 12:15 am Jsmith 2 tiles maditied.

View all revisions | View revisions

h k Also available in: BYAtom

#8 - 2011-03-25 09:14 - Toshi MARUYAMA
- File git-root.png added

#9 - 2011-03-25 09:16 - Toshi MARUYAMA

Etienne Massip wrote:
Having both links side by side is confusing because they're semantically very close.
Dumb question : what's the distinction between "all revisions" and "revisions" ?

"all revisions" shows all revisions stored in database.

"revisions" shows revisions in branch.

Subversion branch is directory.

So, Subversion root directory has all revisions.
But, Git and Mercurial does not have all revisions in branch.

#10 - 2011-03-25 09:33 - Toshi MARUYAMA
tortoisehg - TortoiseHg Workbench (fcl3note00)

File View Repository Help K

Qler @BNMNB "Ffudilgvy iD=
x® | Vl & .. @ | O filter Branchv[* Show all % c]
Graph Rev Branch Age Description  Author ags oca

112304 stable 1 second -+ % Working Di Toshi MARLY" ..
stable 9 hours ago Ep=LIEN ki<l Daniel Atallah  tip
11229  stable 9 hours ago repowidget: LDaniel Atallah 2011
11228  stable 10 hours +++ repomodel, i1 Wagner Bruna 2011
11227  default B 28 hours -+ default MertSteve Borho 2011
11226  stable 29 hours ++ sync: use URL'Steve Borho 2011
11225  stable 29 hours +-+ fileview: fon5Steve Borho 2011
11224  stable 29 hours +-+ sync: catch erSteve Borho 2011
11223  stable 29 hours -+ hgemail: use t5teve Borho 2011
ctahle 29 hours ...

rennomadel ne Stewe Borhn 2011

. Show Al » T Changeset: 11230 (al230c4ad4r4) repowidget: Add "transplant” men

Branch: [
_gt/repowidgetpy Daniel Atallah -

User:

Date: 2011-03-24 19:01:34 -0400 (9 hours ago)

Parent: 11220 (G57e30ebb264) repowidget: Use same text for "F
Tags: tip

|repuwidget: Add "transplant" menu item to the multiple|
......

E] = # |« - @Q tortoisehg/hggt/repowidget.py
@@ -1087,6 +1087,13 @@ class RepoWidget(QWidget):
a.setlcon(gtlib.getmenuicon(icon))
a.triggered.connect(ch)
menu.addActionia)

+

+ it 'transplant’ in self.repo.extensions():

+ a = QAction(_('Transplant Selected to local'), self)
+ a.setlcon(gtlib.getmenuicon(hg-transplant'))

. .
Branch
default

default
11219  default
11218  default
11212 default
11210  default
11209  default
11208 default

11202 default
defanlt

30 hours +-+ status: fix pcP
31 hours «++ ignore: allow Phil Currier
31 hours «++ Merge with stSteve Borho
2 days ago  Merge with stSteve Borho
2 days ago  maq: simplify ¢Steve Borho
2 days ago  mq: fix displaSteve Borho
2 days ago Merge with stSteve Borho
2 days ago workbench: atSteve Borho
2 dave ann ReleaseProrer Stewe Borho

(<]

. | Show All » = Changeset: 11227 (4da67dedb9ib) Merge with stable

haat/fileview User: Steve Borho
- . i Date: 2011-03-23 22:59:44 -Us00 (28 hours ago)
~qgt/repowidget.py

~-ehg/hggt/sync.py

Parent: 11220 {160aBB8dd5551) status: fix position of context m
11226 (de756a7caBd8) stable sync: use URL's port wher

Merge with stable

E] = # < @ tortoisehg/hggt/Fileview py
‘@@ -237,6 +237,7 @@ class HgFileView(QFrame):

def setRepo(self, repo):

self.repo = repo
+ self.scirepo = repo

@pyqtSlot(QAction)
def setMode(self, action):

(« I

Display graph the named branch only
gitk: git_repository

File Edit View

add files in latin-1 er
add latin-1 test file for diff/blame

add latin-1 test file for cat

add latin-1 file.

add latin-1-dir/make-latin-1-file.rb and update f
latin-1 AEAEAEAEAAEC
Add a filename with a leadir
Add a filename with spaces in its name
Added a file with a really long path.
Exercising all the file actions

Resolved conflicts from feature merge
Added a great new feature to this fes
Added a new file tha
Updated README to reflect that this
Making progress in the master branc
2 files modified.

Changed user variable to watcher

Removed one file
Modified one file
ag0D1.annotated

d

SHA1 ID:

Initial import.

Added 2 files and moc

jsmith <jsmith@foc
jsmith <jsmith@foc
jsmith <jsmith@foc
jsmith <jsmith@foc
jsmith <jsmith@fot
test latin-1 AEAEA
Felix Schéfer <feliy
Felix Schafer <feli
Holger Just <redm
Adam Soltys <aso
Adam Soltys <aso
Adam Soltys <aso
Adam Soltys <aso
Adam Soltys <aso
Adam Soltys <aso
jsmith <jsmith@foc
jsmith <jsmith@fot
jsmith <jsmith@foc
jsmith <jsmith@foc
jsmith <jsmith@foc
jsmith <jsmith@fot

2010-10-02 23:00:00
2010-10-01 14:06:00
2010-10-01 14:05:00
2010-10-01 14:03:00
2010-10-01 14:02:00
2010-10-01 14:00:00
2010-09-27 04:14:28
2010-09-19 04:59:46
2010-07-06 05:34:26
2009-06-27 15:06:56
2009-06-24 14:29:32
2009-06-24 14:26:07
2009-06-19 13:38:08
2009-06-19 13:37:23
2009-06-24 14:27:38
2007-12-15 00:15:51
2007-12-14 18:28:21
2007-12-14 18:26:26
2007-12-14 18:25:20
2007-12-14 18:24:01
2007-12-14 18:22:52

[4]

& |3 Rowl

Find next | prev

| commit ‘containing:

7/l

21 |

-

Search |

& Diff ™ Old version ™ New wversion
Author: Felix Schdfer <

Committer: Felix Schiafer
Parent:

Lines of context: |3 =

[Exact

-l fields

# Patch ™ Tree

-l

[ Ignore spac

201
=

edSbbT86bbdaldest6a2d50faf51420dbe043aTh (A

Branch: master
Follows: tagQll.annotated
Frecedes:

@€ 0,0 +1 @@

+And this is

a file with a leading and trailing s

Add a filemame with a leading and trailing whitespace

0-00-27 0=
2010-00-27 [t
dd a filer

4]

Comments
filename with a leading space.tx

I

1]

#11 - 2011-03-25 09:33 - Toshi MARUYAMA
- File TortoiseHg.2.0.2-default-only.png added
- File TortoiseHg.2.0.2-show-all.png added

- File gitk--all.png added

#12 - 2011-03-25 09:40 - Etienne Massip

Still don't buy it ; IMM, the "all revisions" should not be visible inside a branch or revision, this doesn't make sense to me.

Btw, SVN supports branches and tags too, would be nice to have a tag combo for it too =)

#13 - 2011-03-25 09:42 - Toshi MARUYAMA
- File ruby-redmine-1.1-top.png added
- File ruby-redmine-1.1-bottom.png added

Ruby uses Redmine 1.1.
There is no way to show revisions in branch.

2025-07-05
http://redmine.ruby-lang.org/projects/redmine/repository/show?rev=ruby-lang.org%2F1.1

@ Customized version of---

®

«

h=L OV AT

g 3

BE =B Frwvk Za1-—2 Wiki kIl
root @ ruby-lang.org/1.1 illy Wit | 7527 % lang.org/1.1 | vEYsY: [
EFR HrX  UEY3IY  Fib {ERE AV

a [_Japp 2000cB8a 308 Yuki Sonoda temporary fix for #2096, it will be reverted fo..

a _J config b2ffbfbf 308 Yuki Sonoda renamed the branch

@ _Jdb 53532139 30H Yuki Sonoda removed transition script that translate data f..

a [Jdac ae047080 #¥NMoH jplang Merged r4 784 from trunk (update for 1.1.1 relea..

a | _Jextra dedfd546 57 H jbbarth Fixed Redmine.pm not working with LDAPS on a no...

a ] files AL E jplang

a _Jlib QeB3d0ed #0117 A Yuki Sonoda adding RSpec files

a _Jlog 45ELILE jplang

@ _J public 4f4beb38 25H Yuki Sonoda error messages

@ ] script 27739af1 308 Yuki Sonoda backup script

@ _J spec QeB3d0ed #0117 A Yuki Sonoda adding RSpec files

a ] test e4e9698c ¥ T H jplang Merged r4 727 and r4730 from trunk. git-svn-id:...

a_Jtmp c267d56a (FE2HF  Eric Davis  Added an empty tmp/test directory so rake test ...

a _J vendor D0c995e2 308 Yuki Sonoda Squashed commit of the following: commit 63984..
.gitignore 311 Bytes beQ0decf #1172 A Yuki Sonoda ignore more files
haignore 317 Bytes 83fd4017 37 H tmaruyama Merged rdB06 from trunk (.hgignore). git-svn-i..
project 624 Bytes eSd180a9 #1117 H jplang Merged r4 708 and r4709 from trunk. git-svn-id:...
README.rdac 208 Bytes b5Ba2f24 87 H  Eric Davis Readme update. git-svn-id: http://redmineruby..

Customized version of Redmine

ﬂ ﬁ [O redmine.ruby-lang.org/projects/redmine/repository/sho

4]

ruby-redmine-1.1-bottom.png
#14 - 2011-03-25 09:50 - Etienne Massip
Toshi MARUYAMA wrote:
Ruby uses Redmine 1.1.
IMHO, 1.1 link is not smart either : "View all revisions" is a shortcut to "View all applicable revisions and not only the first ones as listed above", so it
should keep on displaying only revisions in the selected branch.

There is no way to show revisions in branch.

What do you mean ?
#15 - 2011-03-25 09:53 - Etienne Massip
Etienne Massip wrote:
IMHO, 1.1 link is not smart either : "View all revisions" is a shortcut to "View all applicable revisions and not only the first ones as listed above",

so it should keep on displaying only revisions in the selected branch.

Which is kinda the same as "View revisions", you'll tell me. That's maybe why the 2 links should not be displayed together.
#16 - 2011-03-25 10:27 - Toshi MARUYAMA
Etienne Massip wrote:
Toshi MARUYAMA wrote:
Ruby uses Redmine 1.1.
IMHO, 1.1 link is not smart either : "View all revisions" is a shortcut to "View all applicable revisions and not only the first ones as listed above",
so it should keep on displaying only revisions in the selected branch.

There is no way to show revisions in branch.
What do you mean ?

View all revisions
http://redmine.ruby-lang.org/projects/redmine/repository/revisions
View revisions
http://redmine.ruby-lang.org/projects/redmine/repository/changes

Redmine 1.1 has no link "View revisions" in root directory.
So, there is no way to view revisions in root directory and master branch.

#17 - 2011-03-25 12:51 - Etienne Massip

Actually, if a branch is selected, then the only link displayed should be "View revisions" so you'll get all revisions for the branch / directory pair. The
only case the "View all revisions" would be used is with the pair "all branches /root", whichever SCM

And, btw, can't we use only one link and merge RepositoryController#changes and RepositoryController#revisions ?
#18 - 2011-03-25 19:01 - Jean-Philippe Lang
Etienne Massip wrote:
Actually, if a branch is selected, then the only link displayed should be "View revisions" so you'll get all revisions for the branch / directory pair.

The only case the "View all revisions" would be used is with the pair "all branches /root", whichever SCM

| agree. We should never display both 'View all revisions' and 'View revisions'.

For example with subversion, we should not display the 'View all revisions' when inside a directory. It doesn't really makes sense and makes the 2
links quite confusing.

Proposed patch:

Index: app/views/repositories/show.rhtml

—-—— app/views/repositories/show.rhtml (revision 5219)
+++ app/views/repositories/show.rhtml (working copy)
@@ -20,19 +20,17 @@
:revisions => @changesets, :entry => nil }%>

<% end %>
<p>
—-<% if Q@repository.supports_all revisions? %>

—<%= link_to 1l(:label_view_all_revisions), :action => 'revisions', :id => @project %>
<% end %>
<%

has_branches = (!Q@repository.branches.nil? && @repository.branches.length > 0)
if Q@repository.supports_directory_revisions? &&
( has_branches || !@path.blank? || !@rev.blank? )

o
\2

=
<%= link_to 1l (:label_view_revisions),
raction => 'changes',
:path => to_path_param(@path), :id => @project %>

<% end %>
+<% elsif @repository.supports_all_revisions? %>

+<%= link_to 1l(:label_view_all_revisions), :action => 'revisions', :id => @project %>
+<% end %>
</p>
<% if true # @path.blank? %>
And, btw, can't we use only one link and merge RepositoryController#changes and RepositoryController#revisions ?

They're not exactly the same, #changes retrives the commits from the scm, #revisions from the database which is way faster. #revisions can be used
to display all revisions but not so usefull to get a file/directory history.

#19 - 2011-03-28 09:16 - Etienne Massip

Jean-Philippe Lang wrote:

They're not exactly the same, #changes retrives the commits from the scm, #revisions from the database which is way faster. #revisions can be
used to display all revisions but not so usefull to get a file/directory history.
http://redmine.ruby-lang.org/projects/redmine/repository/revisions
http://redmine.ruby-lang.org/projects/redmine/repository/changes

Thought the fetch from the SCM was done when displaying the page ?

#20 - 2011-05-01 11:29 - Toshi MARUYAMA

- File svn-root-with-rev.r5609.png added

- File hg-app-1.1-stable.r5609.png added

- File hg-root-1.1-stable-bottom.r5609.png added
- File hg-root-bottom.r5609.png added

- File svn-branches.r5609.png added

- File svn-root.r5609.png added

r5609 behaviors.

Subversion

Root

#™% redmine-svn-00 - / - Rep... =

Go G @ [C} 192.168.11.90:5000/projects/redmine-svn-00/repository 'i‘.‘,,?l b v & A
Home My page Projects Administration Help Logged in as admin My account Sign out n
redmine » redmine-svn-00 : RS

Owverview  Activity Issues  Mew issue Gantt Calendar MNews Documents Wikl Files QGEVESIGTSUN  Settings

root il Statistics | Revision: |

Narme Size Revision Age Author Comment

@ _Jbranches 5592 2 days  plang  Updates for 1.1.% release.

o _Jplugins 2T almast 2 years  jplang  Fixes menu tab and settings partial name of sim...

o _Jsandbax 4591 4 manths  jplang  Deleting unused branches

o g tags 5554 2 days  plang  tagged version 1.1.3

o | trunk 5609 about 21 hours tmaruyama Fixed wiki TOC hierarchy for RTL locales (#B0BS. .,

Latest revisions

# Date Author Comment

5600 @ 04/30/2011 O7:13 pm tmaruyama Fixed wiki TOC hierarchy for RTL locales (#8088).
Cantributed by Mohammad Ebrahim Mohammadi Panah.

5608 (O @ 04/30/2011 O7:12 pm tmaruyama Fixed hierarchy appearance for subtasks and admin projects view (#80BB).
Cantributed by Mahammad Ebrahim Mahammadi Panah.

5607 O O 0473072011 O7:12 pm tmaruyama Fixed calorful indentation and “my projects” mark pasitioning in projects view far RTL
lacales (#BOSE).
Cantributed by Mohammad Ebrahim Mohammadi Panah.

5606 (O O 04/30/2011 O7:11 pm tmaruyama Shaw calorful indentation of subprojects an right in RTL locales (#8088),
Cantributed by Mohammad Ebrahim Mohammadi Panah.

5605 @ @ 04/30/2011 02:58 pm tmaruyama PDF: fix automatic line break in Chinese POF (£#5629).
Cantributed by Jun NAITOH,

5604 (O O 04/30/2011 09:29 am tmaruyama Wrap long text fields properly in PDF exports (#5629),
Contributed by Hugo Ferreira,

5603 O O 04/29/2011 10:33 pm Jplang Fixes an assertion for postgresql (#7087).

5602 O O 04/29/2011 10:27 pm jplang Fixed: notes are lost when copying issuels) (#6901, #8239).

5601 O O 0472972011 09:41 pm jplang Fixed: copying an issue keeps the author of the ariginal issue (£6201).

5600 O 04s29/2011 0918 pm Jplang Adds context menu for related issues an version view.

View differences
View all revisions

T Alsa available in: B)Atom I

Branches
https://www.redmine.org/projects/redmine/repository/svn/revisions/5609

&™ redmine-svn-00 - /branc. *

o G o3 C}192.168.11.90:5000}pmjects,*redmine-svn-UO,’repositorwshowfbragiuﬁii},? - Lﬁﬂ" e N

» My page Pr stration Help Lagged in as admin My unt Sign o
¥ p p ¥ g

i i :

redmine » redmine-svn-00 | [lumpioaproject

Overview  Activity Mew issue  Gantt Calendar Mews Documents Wiki  Files QGESIGISNE  Settings

root / branches lly Statistics | Revisian: |
T

Marme Size Revision Age Author Comment

o | _J0.6-stable 1233 about 3 years Jplang Docs updated for 0.6.4 release,

o [ 0.7-stable 2203 over 2 years jplang Updates CHANGELOG and version for 0.7.4 release,

o | _J0.B-stable 3319 aver 1 year jplang Merged r3309 from trunk.

o 3 09-stable ZEEE S months jplang Merged r3865 and r 3866 fram trunk.

o [ 1.0-stable 4967 2 manths  jplang Merged rd4965 from trunk.

o g 1.1-stable 5502 2 days  jplang Updates for 1.1.3 release,

Latest revisions

# Date Author Comment

55592 @ 0472972011 06:23 pm jplang Updates far 1.1.3 release.

5581 O (e 044297201 06:07 pm Jplang Merged r5285 from trunk.

5590 @ O 04/29/2011 06:06 pm jplang Merged r5283 from trunk.

6589 (O (O 04/259/2011 06:02 pm Jplang Marged r5176 from trunk.

B5BB (O O 0472972011 06:01 pm jplang Merged r5171 from trunk.

5887 (O O 0429720117 05:59 pm Jplang Merged rd735 fram trunk.

6686 (O (O 04/259/2011 04:38 pm jplang Fixes Prototypejs Form.serialize() for multiple selects (#7554),
5885 O (O 0429720171 04:37 pm Jplang Merged r5469 from trunk.

5584 (O O 04/29/2011 04:34 pm jplang Backported r5581 from trunk.

5583 O 0472572011 04:31 pm Jplang Merged r5330 fram trunk.

View differences
View revisions

T —

Also available in: ) Atom u

Root with revision
#™ redmine-svn-00 - / - Rep... =

& = (& @y |®12-168.11.90:5000/projects/redmine-svn-00/repository/show?rev=5608 ¢ | Lfgﬂ" X

Home My page Pr stration Help t d in as admin My account Sign ou
i i i

redmine » redmine-svn-00 | Jlumpioaproject

Overview  Activity Mew issue  Gantt Calendar Mews Documents Wiki  Files QGESIGISNE  Settings

root @ 5608 il Statistics | Revision: [Egpg
anp— o—

Marme Size Revision Age Author Comment

o | _Jbranches 5592 2 days  plang  Updates for 1.1.3 release.

o Jplugins TN almost 2 years  jplang  Fixes menu tab and settings partial name of sim...

o | sandbax 45 4 manths  jplang  Deleting unused branches

o Jtags 5504 2 days  plang  tagged version 1.1.3

O [ trunk 5608 about 21 hours tmaruyama Fixed hierarchy appearance for subtasks and adm...

Latest revisions

# Date Author Comment
5608 @ 04/30/2011 07:12 pm tmaruyama Fixed hierarchy appearance for subtasks and admin projects view (£80B8).
Cantributed by Mohammad Ebrahim Mohammadi Panah.
5607 (O @ 04/30/2011 07:12 pm tmaruyama Fized calorful indentation and “my projects” mark positioning in projects view for RTL

locales (#B0BE).
Cantributed by Mohammad Ebrahim Mohammadi Panah.

5606 (O (O 04/30/2011 O7:11 pm tmaruyama Show calorful indentation of subprajects on right in RTL locales (FBDERE).
Cantributed by Mohammad Ebrahim Mohammadi Panah.
5605 (O (O 04/30/2011 02:68 pm tmaruyama POF: fix automatic line break in Chinese POF (#5629),
Cantributed by Jun NAITOH,
5604 O O 043072011 09:29 am tmaruyama Wrap long text fields properly in PDF exports (#5629),
Cantributed by Hugo Ferreira,
5603 O O 04/26/2011 10:33 pm Jplang Fixes an assertion for postgresgl (£#7097),
5602 @ © 04/20/2011 10:27 pm Jplang Fized: notes are lost when copying issuels) (#6901, #8239),
5601 O O 04/29/2011 0941 pm Jplang Fized: copying an issue keeps the author of the ariginal issue (#6201),
5600 O O 04/26/2011 09:18 pm jplang Adds context menu for related issues on version view.
55909 © 04/ 26/2011 09:05 pm Jplang Maved the version summary to the right of related issues,

View differences
View all revisions | View reuisiins *
Also available in: B)Atom

192.lﬁB.ll.BD:SDDD{pmjects,-‘redmineLswrDD;‘repository,-‘nevisions,-’SE-DB;‘changes]

Mercurial

https://bitbucket.org/redmine/redmine-all

Root

2025-07-05

17/20


https://bitbucket.org/redmine/redmine-all

#™ redmine- / - Repository -... *

o © [C} 192.168.11.90:5000/projects/redmine/repository «ﬂ;] Loig e A
Latest revisions =
# Date Author Comment
5597 aedeb X9feabb @) 04/30/2011 O7:13 pm tmaruyama Fixed wiki TOC hierarchy for RTL locales (#B08E),
Cantributed by Mohammad Ebrahim Mohammadi Panah,
5596:13421db071d5 O @ 043072011 O7:12 pm tmaruyama Fixed hierarchy appearance for subtasks and admin projects view (#B0BE).
Contributed by Mohammad Ebrahim Mohammadi Panah.
55G5:07222787c367 O O 04/30/2011 OF:12 pm tmaruyama Fixed calorful indentation and "my projects” mark pasitioning in prajects view for BTL
locales (#B0BE).
Cantributed by Mohammad Ebrahim Mohammadi Panah,
5594:dTEBBECB02TE O O 04/30/2011 O7:11 pm tmaruyama Show calarful indentation of subprojects an right in RTL locales (#8088),
Contributed by Mohammad Ebrahim Mohammadi Panah.
5503:126b7c05dfa7 O (O 04/30/2011 02:58 pm tmaruyama PDF: fix automatic line break in Chinese PDF (#5629).
Cantributed by Jun NAITOH.
55924 Medca3blicd (O (O 04/30/2011 09:29 am tmaruyama Wrap long text fields properly in PDF exports (#56249).
Cantributed by Huga Ferreira,
6691:104e1f24edtS (O (O 042972011 10:33 pm jplang Fixes an assertion for postgresql (£7097).
5590:db505fabba8 O O 04292011 10:27 pm Jplang Fixed: notes are lost when copying issue(s) (#6901, £8239),
5589:94804falc3ch ) O 0472072011 09:41 pm Jplang Fixed: copying an issue keeps the authar of the original issue (#6901)
S5BB:c541 23029415 O 04/29/2011 0918 pm jplang Adds context menu for related issues an version view.

Wiew differences

Wiew all revisions | View revisﬁns P I

192.168.11.90: EDDD;‘pmjectsfredmine;‘repositoryfchanges]

Alsn available in: ) Atom

Root of 1.1-stable branch

hg-root-1.1-stable-bottom.r5609.png
"app" dirctory of 1.1-stable branch

&™ redmine - /app - Reposit... *

@e

Hame My
redmine

Owerview  Activity | s Mew lssue  Gantt Calendar Mews Documents Wiki  Files QECEIIGTSNE Settings

root / aEE @ 1.1-stable lly Statistics | Branch: [T 1stable ¥ | Tag: | v | Revision: [
S P
Nama Size Revision Age Author Comment

o _Jeantrollers

@ | helpers

o [ madels

o | views

Latest revisions

k3 Date Author Comment
5578:686d11ded50b (@) 04726/ 2011 06:06 pm Jplang Merged r5283 fram trunk.
S57TI37odGabbc ey G @ 04725972011 06102 pm Jplang Merged r5176 from trunk.
5576:67103ddB53c4 (3 (O 0452972011 06:01 pm Jplang Merged r5171 fram trunk.
5575:51b6B1bEBdS 3 O 0452972011 05:59 pm Jplang Merged rd 735 fram trunk.
5572:52T14f4794fd O O 04/29/2011 04:34 pm Jplang Backported r5581 from trunk.
5571 :bcOBI5L892E3 (5 O 0472972011 04:31 pm Jplang Merged r5330 fram trunk.
5570:e3265f1c60%a O O 04/29/2011 04:29 pm Jplang Merged r5265 fram trunk.
5568: 3307500009 O O 04/29/2011 D4:16 pm Jplang Merged r5215 from trunk.
8567:2706acledede (O (O 04/29/2011 04:15 pm Jplang Merged r5300 fram trunk.
5565: TdB4BEBd 39133 O 04/29/2011 04:13 pm Jplang Merged r5214 fraom trunk.

View differences

Wiew revisqu ¢ c I

#21 - 2011-05-01 11:32 - Toshi MARUYAMA

Etienne Massip wrote:

Also available in: B)Atom =

Jean-Philippe Lang wrote:
They're not exactly the same, #changes retrives the commits from the scm, #revisions from the database which is way faster. #revisions
can be used to display all revisions but not so usefull to get a file/directory history.

Thought the fetch from the SCM was done when displaying the page ?

To get tag history, Redmine calls "svn log http://redmine.rubyforge.org/svn/tags/1.1.3".

e http://www.redmine.org/projects/redmine/repository/show/tags/1.1.3

e http://www.redmine.org/projects/redmine/repository/changes/tags/1.1.3

#22 - 2011-05-01 14:33 - Etienne Massip

I think there is still some confusion around the way revisions are handled, but maybe no more than in 1.1.

Also, adding support for SVN/CVS branches and tags would gives the reposityory tab screens a common behavior with other SCMs, | can open an

issue if this makes sense to you ?

#23 - 2011-05-01 16:36 - Toshi MARUYAMA

Etienne Massip wrote:

Also, adding support for SVN/CVS branches and tags would gives the reposityory tab screens a common behavior with other SCMs,

Redmine Subversion repository layout is standard "trunk", "branches" and "tags".
But, if Subversion repository layout is not standard layout, user need to specify branches and tags path.

| can open an issue if this makes sense to you ?

| added related issues.

#24 - 2011-05-01 16:45 - Toshi MARUYAMA

But, if Subversion repository layout is not standard layout, user need to specify branches and tags path.

Redmine Mercurial mirror uses HgSubversion.
Hgsubversion detects source:sandbox/rails-2.2 and source:sandbox/rails-2.3 are branches.

$ hg branches

default 5597:
l.1-stable 5582:
1.0-stable 4955:
0.9-stable 3853:
0.8-stable 3304:

./sandbox/rails-2.3 2618:

./sandbox/rails-2.2 2479:
0.7-stable 2194:
0.6-stable 1242:

aedeb29feabb
53ebalbc3a40
dl10103£f89cla
72aedf7ef5fb
3c08d4d012e0
d79£3571761c
12f541caaded
fed4e88bbd556
04c936a7eed4

If Redmine shows "rails-2.2" and "rails-2.3" as brances,

user need to specify source:branches and source:sandbox are branches directories.

#25 - 2011-09-16 02:42 - Toshi MARUYAMA

- Priority changed from High to Normal
http://redmine.rubyforge.org/svn/tags/1.1.3
http://www.redmine.org/projects/redmine/repository/show/tags/1.1.3
http://www.redmine.org/projects/redmine/repository/changes/tags/1.1.3
http://mercurial.selenic.com/wiki/HgSubversion
https://www.redmine.org/projects/redmine/repository/svn/entry/sandbox/rails-2.2
https://www.redmine.org/projects/redmine/repository/svn/entry/sandbox/rails-2.3
https://www.redmine.org/projects/redmine/repository/svn/entry/branches
https://www.redmine.org/projects/redmine/repository/svn/entry/sandbox
